test_gns_ipv6_lookup.sh 1.1 KB

123456789101112131415161718192021222324252627282930313233343536
  1. #!/bin/sh
  2. # This file is in the public domain.
  3. trap "gnunet-arm -e -c test_gns_lookup.conf" INT
  4. LOCATION=$(which gnunet-config)
  5. if [ -z $LOCATION ]
  6. then
  7. LOCATION="gnunet-config"
  8. fi
  9. $LOCATION --version 1> /dev/null
  10. if test $? != 0
  11. then
  12. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  13. exit 77
  14. fi
  15. MY_EGO="myego"
  16. rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
  17. which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
  18. TEST_IP="dead::beef"
  19. gnunet-arm -s -c test_gns_lookup.conf
  20. gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
  21. gnunet-namestore -p -z $MY_EGO -a -n www -t AAAA -V $TEST_IP -e never -c test_gns_lookup.conf
  22. RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.$MY_EGO -t AAAA -c test_gns_lookup.conf`
  23. gnunet-namestore -z $MY_EGO -d -n www -t AAAA -V $TEST_IP -e never -c test_gns_lookup.conf
  24. gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
  25. gnunet-arm -e -c test_gns_lookup.conf
  26. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  27. if [ "$RES_IP" = "$TEST_IP" ]
  28. then
  29. exit 0
  30. else
  31. echo "Failed to resolve to proper IP, got $RES_IP."
  32. exit 1
  33. fi